Bug 154649 - Missing build requirements for flac
Missing build requirements for flac
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flac (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 06:48 EDT by Matthias Saou
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 00:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2005-04-13 06:48:40 EDT
Description of problem:
Rebuild of source rpm fails because of missing build requirements.

Version-Release number of selected component (if applicable):
1.1.2-24

Actual results:
configure.in:31: error: possibly undefined macro: AM_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:156: error: possibly undefined macro: AM_ICONV
configure.in:157: error: possibly undefined macro: AM_LANGINFO_CODESET
autoreconf: /usr/bin/autoconf failed with exit status: 1

Additional info:
Adding "libtool" and "gettext-devel" to the build requirements fixes this.

(additional note : the xmmsinputdir define at the top of the file could be
removed, as it's not used anymore since the noxmms patch got added)

Note You need to log in before you can comment on or make changes to this bug.